Remove --enable-pthread, --enable-visualize, --enable-pic from confflags

Bug #538555 reported by llogan on 2010-03-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
x264 (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: x264

There are several options in Lucid x264 2:0.85.1448+git1a6d32-2 that I believe should be considered for removal:

--enable-pthread: is no longer a valid option and x264 configures this automatically.

--enable-visualize: is an analyzing tool that basically places a grid on the video. Not really actively maintained. Removing this can get rid of the libx11 dependency.

--enable-pic is ignored on 32-bit and --enable-shared automatically implies --enable-pic on x86_64 anyway.

(This bug report is similar to my FS# 18478 for Arch Linux).

Related branches

Daniel Hahler (blueyed) wrote :

Arch task is at http://bugs.archlinux.org/task/18478 (and apparently closed already).
I could not add it via "Also affects distribution".

Changed in x264 (Ubuntu):
status: New → Triaged
importance: Undecided → Wishlist
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package x264 - 2:0.85.1448+git1a6d32-3

---------------
x264 (2:0.85.1448+git1a6d32-3) lucid; urgency=low

  [ Loïc Minier ]
  * Finish confflags logic and/or add workarounds

  [ Reinhard Tartler ]
  * build depend on libgpac-dev to enable mp4 support, LP: #464797
  * simplify configure line, LP: #538555
  * generate manpage with help2man to keep it up-to-date, LP: #391281
 -- Reinhard Tartler <email address hidden> Sun, 14 Mar 2010 10:10:26 +0100

Changed in x264 (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers